Subject: bug#38148: closed (Re: bug#38148: Guix packages old/broken version of qutebrowser)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Jan 2020 20:56:02 +0000

Your bug report

#38148: Guix packages old/broken version of qutebrowser

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38148: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38148
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38148: Guix packages old/broken version of qutebrowser
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 Jan 2020 21:55:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Florian,

> I'm the upstream author of qutebrowser - it looks like Guix currently packages
> qutebrowser 0.11.0: https://guix.gnu.org/packages/qutebrowser-0.11.0/
>
> That version is very outdated (July 2017, there have been 28 new releases since
> then).

The qutebrowser package has been updated to 1.8.3 on Dec 24 with commit
d7c58c3e5449d9fb96a15928cc65f12f111d0569.

--
Ricardo

Subject: Guix packages old/broken version of qutebrowser
From: Florian Bruhin <[email-masked]>
To: [email-masked]
Date: Sat, 9 Nov 2019 11:05:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm the upstream author of qutebrowser - it looks like Guix currently packages
qutebrowser 0.11.0: https://guix.gnu.org/packages/qutebrowser-0.11.0/

That version is very outdated (July 2017, there have been 28 new releases since
then). It has various known security issues, but currently it just crashes
outright, because such an old version isn't compatible with Qt 5.11 which is
packaged in Guix.

That results in me getting crash reports around once per week - at this point,
it'd probably be better to not package qutebrowser at all, seeing that nobody
seems to maintain that package for a long time now.

Florian

-- 
https://www.qutebrowser.org | [email-masked] (Mail/XMPP)
   GPG: 916E B0C8 FD55 A072 | https://the-compiler.org/pubkey.asc
         I love long mails! | https://email.is-not-s.ms/